<?php
 
class myDateValidator extends sfValidator
{

  public function initialize($context, $parameters = null)
  {
    // initialize parent
    parent::initialize($context, $parameters);
 
    // set defaults
    $this->setParameter('date_error', 'Invalid date');
 
    $this->getParameterHolder()->add($parameters);
 
    return true;
  }
 
  public function execute(&$value, &$error)
  {
 
    //check date
    if (!MyTools::isValidDate($value)) {
      $error = $this->getParameter('date_error');
      return false;
    }
    else return true;
  }
}