<?php

/**
 * Subclass for performing query and update operations on the 'season' table.
 *
 * 
 *
 * @package lib.model
 */ 
class SeasonPeer extends BaseSeasonPeer
{
	public static function retrieveCurrentByUserId($user_id) {
		$c=new Criteria();
    $c->add(SeasonPeer::USER_ID, $user_id);
    $c->add(SeasonPeer::START_AT, date('Y-m-d'), Criteria::LESS_EQUAL);
    $c->add(SeasonPeer::LAST_DAY_AT, date("Y-m-d"), Criteria::GREATER_EQUAL);
    return SeasonPeer::doSelectOne($c);
	}
	
  public static function retrieveByUserIdAndPk($user_id,$pk) {
    $c=new Criteria();
    $c->add(SeasonPeer::USER_ID, $user_id);
    $c->add(SeasonPeer::ID, $pk);
    return SeasonPeer::doSelectOne($c);
  }	
}
