<?php


abstract class BaseCompetitionCompetitorPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'competition_competitor';

	
	const CLASS_DEFAULT = 'lib.model.CompetitionCompetitor';

	
	const NUM_COLUMNS = 3;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const COMPETITION_ID = 'competition_competitor.COMPETITION_ID';

	
	const COMPETITOR_ID = 'competition_competitor.COMPETITOR_ID';

	
	const VISIBLE = 'competition_competitor.VISIBLE';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('CompetitionId', 'CompetitorId', 'Visible', ),
		BasePeer::TYPE_COLNAME => array (CompetitionCompetitorPeer::COMPETITION_ID, CompetitionCompetitorPeer::COMPETITOR_ID, CompetitionCompetitorPeer::VISIBLE, ),
		BasePeer::TYPE_FIELDNAME => array ('competition_id', 'competitor_id', 'visible', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('CompetitionId' => 0, 'CompetitorId' => 1, 'Visible' => 2, ),
		BasePeer::TYPE_COLNAME => array (CompetitionCompetitorPeer::COMPETITION_ID => 0, CompetitionCompetitorPeer::COMPETITOR_ID => 1, CompetitionCompetitorPeer::VISIBLE => 2, ),
		BasePeer::TYPE_FIELDNAME => array ('competition_id' => 0, 'competitor_id' => 1, 'visible' => 2, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, )
	);

	
	public static function getMapBuilder()
	{
		include_once 'lib/model/map/CompetitionCompetitorMapBuilder.php';
		return BasePeer::getMapBuilder('lib.model.map.CompetitionCompetitorMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = CompetitionCompetitorPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(CompetitionCompetitorPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(CompetitionCompetitorPeer::COMPETITION_ID);

		$criteria->addSelectColumn(CompetitionCompetitorPeer::COMPETITOR_ID);

		$criteria->addSelectColumn(CompetitionCompetitorPeer::VISIBLE);

	}

	const COUNT = 'COUNT(competition_competitor.COMPETITION_ID)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT competition_competitor.COMPETITION_ID)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(CompetitionCompetitorPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(CompetitionCompetitorPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = CompetitionCompetitorPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = CompetitionCompetitorPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return CompetitionCompetitorPeer::populateObjects(CompetitionCompetitorPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			CompetitionCompetitorPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = CompetitionCompetitorPeer::getOMClass();
		$cls = Propel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinCompetition(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(CompetitionCompetitorPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(CompetitionCompetitorPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(CompetitionCompetitorPeer::COMPETITION_ID, CompetitionPeer::ID);

		$rs = CompetitionCompetitorPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinUser(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(CompetitionCompetitorPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(CompetitionCompetitorPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(CompetitionCompetitorPeer::COMPETITOR_ID, UserPeer::ID);

		$rs = CompetitionCompetitorPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinCompetition(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		CompetitionCompetitorPeer::addSelectColumns($c);
		$startcol = (CompetitionCompetitorPeer::NUM_COLUMNS - CompetitionCompetitorPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		CompetitionPeer::addSelectColumns($c);

		$c->addJoin(CompetitionCompetitorPeer::COMPETITION_ID, CompetitionPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = CompetitionCompetitorPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CompetitionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getCompetition(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addCompetitionCompetitor($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initCompetitionCompetitors();
				$obj2->addCompetitionCompetitor($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinUser(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		CompetitionCompetitorPeer::addSelectColumns($c);
		$startcol = (CompetitionCompetitorPeer::NUM_COLUMNS - CompetitionCompetitorPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		UserPeer::addSelectColumns($c);

		$c->addJoin(CompetitionCompetitorPeer::COMPETITOR_ID, UserPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = CompetitionCompetitorPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = UserPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getUser(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addCompetitionCompetitor($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initCompetitionCompetitors();
				$obj2->addCompetitionCompetitor($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(CompetitionCompetitorPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(CompetitionCompetitorPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(CompetitionCompetitorPeer::COMPETITION_ID, CompetitionPeer::ID);

		$criteria->addJoin(CompetitionCompetitorPeer::COMPETITOR_ID, UserPeer::ID);

		$rs = CompetitionCompetitorPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		CompetitionCompetitorPeer::addSelectColumns($c);
		$startcol2 = (CompetitionCompetitorPeer::NUM_COLUMNS - CompetitionCompetitorPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		CompetitionPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + CompetitionPeer::NUM_COLUMNS;

		UserPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + UserPeer::NUM_COLUMNS;

		$c->addJoin(CompetitionCompetitorPeer::COMPETITION_ID, CompetitionPeer::ID);

		$c->addJoin(CompetitionCompetitorPeer::COMPETITOR_ID, UserPeer::ID);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = CompetitionCompetitorPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = CompetitionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getCompetition(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addCompetitionCompetitor($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initCompetitionCompetitors();
				$obj2->addCompetitionCompetitor($obj1);
			}


					
			$omClass = UserPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3 = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getUser(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addCompetitionCompetitor($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj3->initCompetitionCompetitors();
				$obj3->addCompetitionCompetitor($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAllExceptCompetition(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(CompetitionCompetitorPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(CompetitionCompetitorPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(CompetitionCompetitorPeer::COMPETITOR_ID, UserPeer::ID);

		$rs = CompetitionCompetitorPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptUser(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(CompetitionCompetitorPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(CompetitionCompetitorPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(CompetitionCompetitorPeer::COMPETITION_ID, CompetitionPeer::ID);

		$rs = CompetitionCompetitorPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAllExceptCompetition(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		CompetitionCompetitorPeer::addSelectColumns($c);
		$startcol2 = (CompetitionCompetitorPeer::NUM_COLUMNS - CompetitionCompetitorPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		UserPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + UserPeer::NUM_COLUMNS;

		$c->addJoin(CompetitionCompetitorPeer::COMPETITOR_ID, UserPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = CompetitionCompetitorPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = UserPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getUser(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addCompetitionCompetitor($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initCompetitionCompetitors();
				$obj2->addCompetitionCompetitor($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptUser(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		CompetitionCompetitorPeer::addSelectColumns($c);
		$startcol2 = (CompetitionCompetitorPeer::NUM_COLUMNS - CompetitionCompetitorPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		CompetitionPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + CompetitionPeer::NUM_COLUMNS;

		$c->addJoin(CompetitionCompetitorPeer::COMPETITION_ID, CompetitionPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = CompetitionCompetitorPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CompetitionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getCompetition(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addCompetitionCompetitor($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initCompetitionCompetitors();
				$obj2->addCompetitionCompetitor($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}

	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return CompetitionCompetitorPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(CompetitionCompetitorPeer::COMPETITION_ID);
			$selectCriteria->add(CompetitionCompetitorPeer::COMPETITION_ID, $criteria->remove(CompetitionCompetitorPeer::COMPETITION_ID), $comparison);

			$comparison = $criteria->getComparison(CompetitionCompetitorPeer::COMPETITOR_ID);
			$selectCriteria->add(CompetitionCompetitorPeer::COMPETITOR_ID, $criteria->remove(CompetitionCompetitorPeer::COMPETITOR_ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(CompetitionCompetitorPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(CompetitionCompetitorPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof CompetitionCompetitor) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
												if(count($values) == count($values, COUNT_RECURSIVE))
			{
								$values = array($values);
			}
			$vals = array();
			foreach($values as $value)
			{

				$vals[0][] = $value[0];
				$vals[1][] = $value[1];
			}

			$criteria->add(CompetitionCompetitorPeer::COMPETITION_ID, $vals[0], Criteria::IN);
			$criteria->add(CompetitionCompetitorPeer::COMPETITOR_ID, $vals[1], Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(CompetitionCompetitor $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(CompetitionCompetitorPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(CompetitionCompetitorPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(CompetitionCompetitorPeer::DATABASE_NAME, CompetitionCompetitorPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = CompetitionCompetitorPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK( $competition_id, $competitor_id, $con = null) {
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$criteria = new Criteria();
		$criteria->add(CompetitionCompetitorPeer::COMPETITION_ID, $competition_id);
		$criteria->add(CompetitionCompetitorPeer::COMPETITOR_ID, $competitor_id);
		$v = CompetitionCompetitorPeer::doSelect($criteria, $con);

		return !empty($v) ? $v[0] : null;
	}
} 
if (Propel::isInit()) {
			try {
		BaseCompetitionCompetitorPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			require_once 'lib/model/map/CompetitionCompetitorMapBuilder.php';
	Propel::registerMapBuilder('lib.model.map.CompetitionCompetitorMapBuilder');
}
