<?php

/**
 * Subclass for representing a row from the 'inscription' table.
 *
 * 
 *
 * @package lib.model
 */ 
class Inscription extends BaseInscription
{
  function __toString() { 
    return parent::getId();
  }

  function calcularPrecio(){
    $precio=0;
    $c = new Criteria();
    $c->add(RunnerPeer::INSCRIPTION_ID, $this->getId());
    
    $this->runners = RunnerPeer::doSelect($c);
    foreach ($this->runners as $runner):
    $precio+=$runner->getPrice();
    endforeach;
    $this->setPrice($precio);
  }
  
  function cancelar(){
    $precio=0;
    $c = new Criteria();
    $c->add(RunnerPeer::INSCRIPTION_ID, $this->getId());
    
    $this->runners = RunnerPeer::doSelect($c);
    foreach ($this->runners as $runner):
    $runner->delete();
    endforeach;
    $this->delete();
  }
}
