<?php



class UnitTypeMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.UnitTypeMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('unit_type');
		$tMap->setPhpName('UnitType');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('GLOBAL_DESCRIPTION', 'GlobalDescription', 'string', CreoleTypes::VARCHAR, false, 250);

	} 
} 