<?php


abstract class BaseSessionElementPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'session_element';

	
	const CLASS_DEFAULT = 'lib.model.SessionElement';

	
	const NUM_COLUMNS = 9;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const ID = 'session_element.ID';

	
	const DESCRIPTION = 'session_element.DESCRIPTION';

	
	const LEVEL = 'session_element.LEVEL';

	
	const WORKING_METHOD_ID = 'session_element.WORKING_METHOD_ID';

	
	const SESSION_ID = 'session_element.SESSION_ID';

	
	const THEORIC_INTENSITY = 'session_element.THEORIC_INTENSITY';

	
	const THEORIC_VOLUME = 'session_element.THEORIC_VOLUME';

	
	const REPORTED_INTENSITY = 'session_element.REPORTED_INTENSITY';

	
	const REPORTED_VOLUME = 'session_element.REPORTED_VOLUME';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'Description', 'Level', 'WorkingMethodId', 'SessionId', 'TheoricIntensity', 'TheoricVolume', 'ReportedIntensity', 'ReportedVolume', ),
		BasePeer::TYPE_COLNAME => array (SessionElementPeer::ID, SessionElementPeer::DESCRIPTION, SessionElementPeer::LEVEL, SessionElementPeer::WORKING_METHOD_ID, SessionElementPeer::SESSION_ID, SessionElementPeer::THEORIC_INTENSITY, SessionElementPeer::THEORIC_VOLUME, SessionElementPeer::REPORTED_INTENSITY, SessionElementPeer::REPORTED_VOLUME, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'description', 'level', 'working_method_id', 'session_id', 'theoric_intensity', 'theoric_volume', 'reported_intensity', 'reported_volume', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'Description' => 1, 'Level' => 2, 'WorkingMethodId' => 3, 'SessionId' => 4, 'TheoricIntensity' => 5, 'TheoricVolume' => 6, 'ReportedIntensity' => 7, 'ReportedVolume' => 8, ),
		BasePeer::TYPE_COLNAME => array (SessionElementPeer::ID => 0, SessionElementPeer::DESCRIPTION => 1, SessionElementPeer::LEVEL => 2, SessionElementPeer::WORKING_METHOD_ID => 3, SessionElementPeer::SESSION_ID => 4, SessionElementPeer::THEORIC_INTENSITY => 5, SessionElementPeer::THEORIC_VOLUME => 6, SessionElementPeer::REPORTED_INTENSITY => 7, SessionElementPeer::REPORTED_VOLUME => 8, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'description' => 1, 'level' => 2, 'working_method_id' => 3, 'session_id' => 4, 'theoric_intensity' => 5, 'theoric_volume' => 6, 'reported_intensity' => 7, 'reported_volume' => 8, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, )
	);

	
	public static function getMapBuilder()
	{
		include_once 'lib/model/map/SessionElementMapBuilder.php';
		return BasePeer::getMapBuilder('lib.model.map.SessionElementMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = SessionElementPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(SessionElementPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(SessionElementPeer::ID);

		$criteria->addSelectColumn(SessionElementPeer::DESCRIPTION);

		$criteria->addSelectColumn(SessionElementPeer::LEVEL);

		$criteria->addSelectColumn(SessionElementPeer::WORKING_METHOD_ID);

		$criteria->addSelectColumn(SessionElementPeer::SESSION_ID);

		$criteria->addSelectColumn(SessionElementPeer::THEORIC_INTENSITY);

		$criteria->addSelectColumn(SessionElementPeer::THEORIC_VOLUME);

		$criteria->addSelectColumn(SessionElementPeer::REPORTED_INTENSITY);

		$criteria->addSelectColumn(SessionElementPeer::REPORTED_VOLUME);

	}

	const COUNT = 'COUNT(session_element.ID)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT session_element.ID)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SessionElementPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SessionElementPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = SessionElementPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = SessionElementPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return SessionElementPeer::populateObjects(SessionElementPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			SessionElementPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = SessionElementPeer::getOMClass();
		$cls = Propel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinWorkingMethod(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SessionElementPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SessionElementPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SessionElementPeer::WORKING_METHOD_ID, WorkingMethodPeer::ID);

		$rs = SessionElementPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinSession(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SessionElementPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SessionElementPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SessionElementPeer::SESSION_ID, SessionPeer::ID);

		$rs = SessionElementPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinWorkingMethod(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SessionElementPeer::addSelectColumns($c);
		$startcol = (SessionElementPeer::NUM_COLUMNS - SessionElementPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		WorkingMethodPeer::addSelectColumns($c);

		$c->addJoin(SessionElementPeer::WORKING_METHOD_ID, WorkingMethodPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SessionElementPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = WorkingMethodPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getWorkingMethod(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addSessionElement($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initSessionElements();
				$obj2->addSessionElement($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinSession(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SessionElementPeer::addSelectColumns($c);
		$startcol = (SessionElementPeer::NUM_COLUMNS - SessionElementPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		SessionPeer::addSelectColumns($c);

		$c->addJoin(SessionElementPeer::SESSION_ID, SessionPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SessionElementPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = SessionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getSession(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addSessionElement($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initSessionElements();
				$obj2->addSessionElement($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SessionElementPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SessionElementPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SessionElementPeer::WORKING_METHOD_ID, WorkingMethodPeer::ID);

		$criteria->addJoin(SessionElementPeer::SESSION_ID, SessionPeer::ID);

		$rs = SessionElementPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SessionElementPeer::addSelectColumns($c);
		$startcol2 = (SessionElementPeer::NUM_COLUMNS - SessionElementPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		WorkingMethodPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + WorkingMethodPeer::NUM_COLUMNS;

		SessionPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + SessionPeer::NUM_COLUMNS;

		$c->addJoin(SessionElementPeer::WORKING_METHOD_ID, WorkingMethodPeer::ID);

		$c->addJoin(SessionElementPeer::SESSION_ID, SessionPeer::ID);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SessionElementPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = WorkingMethodPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getWorkingMethod(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addSessionElement($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initSessionElements();
				$obj2->addSessionElement($obj1);
			}


					
			$omClass = SessionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3 = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getSession(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addSessionElement($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj3->initSessionElements();
				$obj3->addSessionElement($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAllExceptWorkingMethod(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SessionElementPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SessionElementPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SessionElementPeer::SESSION_ID, SessionPeer::ID);

		$rs = SessionElementPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptSession(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(SessionElementPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(SessionElementPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(SessionElementPeer::WORKING_METHOD_ID, WorkingMethodPeer::ID);

		$rs = SessionElementPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAllExceptWorkingMethod(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SessionElementPeer::addSelectColumns($c);
		$startcol2 = (SessionElementPeer::NUM_COLUMNS - SessionElementPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		SessionPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + SessionPeer::NUM_COLUMNS;

		$c->addJoin(SessionElementPeer::SESSION_ID, SessionPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SessionElementPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = SessionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getSession(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addSessionElement($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initSessionElements();
				$obj2->addSessionElement($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptSession(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		SessionElementPeer::addSelectColumns($c);
		$startcol2 = (SessionElementPeer::NUM_COLUMNS - SessionElementPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		WorkingMethodPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + WorkingMethodPeer::NUM_COLUMNS;

		$c->addJoin(SessionElementPeer::WORKING_METHOD_ID, WorkingMethodPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = SessionElementPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = WorkingMethodPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getWorkingMethod(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addSessionElement($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initSessionElements();
				$obj2->addSessionElement($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}

	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return SessionElementPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		$criteria->remove(SessionElementPeer::ID); 

				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(SessionElementPeer::ID);
			$selectCriteria->add(SessionElementPeer::ID, $criteria->remove(SessionElementPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(SessionElementPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(SessionElementPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof SessionElement) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(SessionElementPeer::ID, (array) $values, Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(SessionElement $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(SessionElementPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(SessionElementPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(SessionElementPeer::DATABASE_NAME, SessionElementPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = SessionElementPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$criteria = new Criteria(SessionElementPeer::DATABASE_NAME);

		$criteria->add(SessionElementPeer::ID, $pk);


		$v = SessionElementPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria();
			$criteria->add(SessionElementPeer::ID, $pks, Criteria::IN);
			$objs = SessionElementPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 
if (Propel::isInit()) {
			try {
		BaseSessionElementPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			require_once 'lib/model/map/SessionElementMapBuilder.php';
	Propel::registerMapBuilder('lib.model.map.SessionElementMapBuilder');
}
